%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Integrated GNOME mail client, calendar and address book
Name:		evolution
Version:	3.16.4
Release:	2
License: 	LGPLv2+
Group:		Networking/Mail
URL: 		http://www.gnome.org/projects/evolution/
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	desktop-file-utils
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(camel-1.2) >= 3.16.2
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 0.90
BuildRequires:	pkgconfig(gail-3.0) >= 3.0.2
BuildRequires:	pkgconfig(gconf-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gio-2.0) >= 2.30
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.3
BuildRequires:	pkgconfig(gnome-icon-theme) >= 2.30.2.1
BuildRequires:	pkgconfig(goa-1.0) >= 3.1.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 2.91.92
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gtkhtml-editor-4.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:	pkgconfig(gweather-3.0) >= 2.90.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.25
BuildRequires:	pkgconfig(libebackend-1.2) >= 3.16.2 
BuildRequires:	pkgconfig(libebook-1.2) >= 3.16.2
BuildRequires:	pkgconfig(libebook-contacts-1.2) >= 3.16.2
BuildRequires:	pkgconfig(libecal-1.2) >= 3.16.2
BuildRequires:	pkgconfig(libedataserver-1.2) >= 3.16.2
BuildRequires:	pkgconfig(libgdata) >= 0.16.1
BuildRequires:	pkgconfig(libgtkhtml-4.0) >= 4.1.2
BuildRequires:	pkgconfig(libnotify) >= 0.5.1
BuildRequires:	pkgconfig(libpst)
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.31.2
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.3
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(gtkspell3-3.0)
BuildRequires:	pkgconfig(mx-1.0)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(shared-mime-info) >= 0.22
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	pkgconfig(cryptui-0.0)
BuildRequires:	highlight

# (fc) 0.8-5mdk implicit dependency is not enough
Requires: evolution-data-server >= 3.16.2
Requires: gtkhtml4 
Requires: gnupg
Requires: gtk+3.0
Suggests: gstreamer1.0-plugins-good
# the old shared lib pkg should be obsoleted after everything is rebuilt

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool. 

%package devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}evolution3.2-devel

%description devel
This package contains the files necessary to develop applications
using Evolution's libraries.

%prep
%setup -q
%apply_patches

# Remove the welcome email from Novell
for inbox in mail/default/*/Inbox; do
		echo -n "" > $inbox
	done

%build
%configure2_5x \
	--disable-static \
	--enable-plugins=all \
	--disable-autoar \
	--with-krb5=%{_prefix} \
	--with-krb5-libs=%{_libdir} \
	--with-openldap=yes \
	--with-static-ldap=no \
	--with-sub-version="-%{release}" \
	--disable-bogofilter \
	--disable-spamassassin

%make

%install
%makeinstall_std
#remove unpackaged files
rm -rf %{buildroot}/var/lib/
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor="" \
  --remove-category="Office" \
  --remove-category="Calendar" \
  --remove-category="ContactManagement" \
  --add-category="Network" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/evolution.desktop

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/ 
cat << EOF > %{buildroot}%{_sysconfdir}/xdg/autostart/evolution-alarm-notify.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Evolution Alarm Notifier
Comment=Evolution Alarm Notifier
Icon=stock_alarm
Exec=%{_libdir}/evolution/evolution-alarm-notify
Terminal=false
Type=Application
OnlyShowIn=GNOME;
Categories=TrayIcon;
EOF

# do not package obsolete mime-info files, evolution doesn't import them on commandline (Mdv bug #53984)
rm -fr %{buildroot}/%{_datadir}/mime-info

%find_lang %{name}-3.16 --all-name --with-gnome

%files -f %{name}-3.16.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution//modules/
%dir %{_libdir}/evolution//plugins
%{_libdir}/evolution/*.so
%{_libdir}/evolution/csv2vcard
%{_libdir}/evolution/evolution-addressbook-export
%{_libdir}/evolution/evolution-alarm-notify
%{_libdir}/evolution/evolution-backup
%{_libdir}/evolution/killev
%{_libdir}/evolution/modules/*.so
%{_libdir}/evolution/plugins/*.so
%{_libdir}/evolution/plugins/*.eplug
%{_datadir}/applications/*
%{_datadir}/evolution
%{_datadir}/GConf/gsettings/evolution.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/appdata/*.xml
%{_datadir}/icons/hicolor/*/apps/*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/*


%changelog

* Thu Dec 17 2015 Tigro <ashejn@gmail.com> 3.16.4-2
- (33295c0) update to 3.16.4

* Tue Aug 25 2015 Denis Silakov <denis.silakov@rosalab.ru> 3.12.9-2
- (98cd46d) Build with new gdata

* Mon Jul 27 2015 Tigro <ashejn@yandex-team.ru> 3.16.4-2
- (fe1e69d) rebuilt against new libgdata

* Mon Jul 13 2015 Tigro <ashejn@yandex-team.ru> 3.16.4-1
- (be3c105) update to 3.16.4

* Tue Jul 07 2015 Tigro <ashejn@yandex-team.ru> 3.16.3-1
- (9581219) update to 3.16.3

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 3.16.2.1-1
- (145abea) fix version in BR
- (Tigro: 8820d61) update to 3.16.2.1

* Mon Apr 13 2015 Tigro <ashejn@yandex-team.ru> 3.16.1-1
- (534c6fb) update to 3.16.1

* Mon Mar 23 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (0d8db3b) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@yandex-team.ru> 3.15.92-1
- (93d95a1) update to 3.15.92

* Sat Mar 14 2015 Tigro <ashejn@gmail.com> 3.15.91-1
- (b321df2) another parameter fo find_lang
- (Tigro: a8192d9) pack languages
- (Tigro: 2ea7fd5) pack files
- (Tigro: b7473b9) added BR: cryptui-0.0
- (Tigro: ec29cf9) disable autoar
- (Tigro: ef9885b) update to 3.15.91

* Thu Dec 11 2014 Tigro <ashejn@gmail.com> 3.12.9-1
- (5715464) update to 3.12.9

* Fri Oct 17 2014 Tigro <ashejn@gmail.com> 3.12.7-1
- (824c4cb) update to 3.12.7

* Wed Sep 10 2014 Tigro <ashejn@gmail.com> 3.12.6-1
- (4414c95) update to 3.12.6

* Tue Aug 05 2014 Tigro <ashejn@gmail.com> 3.12.4-1
- (38a1e0b) update to 3.12.4

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.3-2
- (18e6cc9) MassBuild#440: Increase release tag

* Tue Jun 10 2014 Tigro <ashejn@gmail.com> 3.12.3-1
- (a8a039a) update to 3.12.3

* Tue May 13 2014 Tigro <ashejn@gmail.com> 3.12.2-1
- (dc2eeaf) update to 3.12.2

* Mon Apr 28 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (8c9527f) pack files
- (Tigro: a53e887) added BR: gtkspell3-3.0
- (Tigro: e50507c) update to 3.12.1

* Mon Oct 14 2013 Tigro <ashejn@gmail.com> 3.8.5-1
- (ed37ec0) update to 3.8.5

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4-1
- (e63ca34) update to 3.8.4
- (Tigro: d67f2a4) update to 3.8.4

* Thu Jun 20 2013 root <root@localhost.localdomain> 3.8.3-1
- (804a01a) sync to gnome38 branch

* Wed Mar 20 2013 Arkady Shane <ashejn@gmail.com> 3.6.4-1
- (b855ea1) update to 3.6.4

* Fri Feb 15 2013 Arkady Shane <ashejn@gmail.com> 3.6.3-1
- (f32b628) Updated evolution.spec
- (Arkady Shane: 9efc0ba) update to 3.6.3

* Tue Nov 13 2012 Arkady Shane <ashejn@gmail.com> 3.6.2-1
- (8f93ca2) Updated evolution.spec
- (Arkady Shane: 79a671b) update to 3.6.2

* Tue Oct 23 2012 mdawkins <mattydaw@gmail.com> 3.6.1-1
- (7304140) readded removed macro
- (mdawkins: 9995151) fixed file names
- (mdawkins: 9995151) removed schemas
- (mdawkins: 8846d63) fixed configure option for plugins
- (mdawkins: 4bd7c01) Added missing BR
- (mdawkins: 092f170) added missing BR
- (mdawkins: 97c1e64) removed line for unimported patch
- (mdawkins: b9cc102) reimported mdv spec (cleaned spec)
- (mdawkins: b9cc102) new version 3.6.1

* Mon Oct 01 2012 Arkady L. Shane <arkady.shane@rosalab.ru> 3.6.0-1
- (36418ce) update to 3.6.0

* Fri Aug 31 2012 Sergey A. Sokolov <sokol@mtik.ru> 3.4.4-1
- (5d409ed) up to 3.4.4


